<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";
	$id_turno=0;

	$datos = " Ingresa a obtener_corte_turno_parcial ";	
		insertarLog($datos,$id_aplicacion);

	$array2= array();

	$sql = "select ";
	$sql .= "id_turno ";
	$sql .= "from ";
	$sql .= "turnos ";
	$sql .= "where ";
	$sql .= "estado=1 ";
	
	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	if($fila = $resultado->fetch_assoc())
	{
		$id_turno=$fila["id_turno"];
	}

	$sentencia->close();


    if($id_turno==0)
    {
    	$datos = " Error no existe turno ";	
		insertarLog($datos,$id_aplicacion);
    	echo response(2,"Error no existe turno","");
	    return;

    }
    $datos = " Obtuvo id_turno ";	
		insertarLog($datos,$id_aplicacion);

	$array =   array();

	$sql = "select ";
    $sql .= "c.id_estacion, ";
    $sql .= "c.razon_social, ";
    $sql .= "a.fecha_inicio, ";
    $sql .= "a.fecha_fin, ";
    $sql .= "tc.descripcion, ";
    $sql .= $id_turno." id_turno, ";
	$sql .= "date_format(now(),'%Y-%m-%d %H:%i:%s') as fecha ";
    $sql .= "from ";
    $sql .= "turnos a, ";
    $sql .= "estacion c, ";
    $sql .= "cat_tipo_estacion tc ";
    $sql .= "where ";
    $sql .= "c.tipo=tc.tipo and ";
    $sql .= "a.id_turno=" . $id_turno . " ";

	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	if($fila = $resultado->fetch_assoc())
	{
		$estacion= $fila;
	}

	 $datos = " Obtuvo informacion estacion... ";	
		insertarLog($datos,$id_aplicacion);

	$turno["estacion"]=$estacion;

	$sentencia->close();

	$sql = "select ";
    $sql .= "d.id_isla, ";                        
    $sql .= "a.id_bomba, ";
    $sql .= "a.id_posicion, ";
    $sql .= "b.nombre, ";
    $sql .= "a.total_init_volumen as volumen_inicial, ";
    $sql .= "a.total_uv_volumen as volumen_final, ";            
    $sql .= "a.total_uv_volumen-a.total_init_volumen as diferencia, ";
    $sql .= "(a.total_uv_volumen-a.total_init_volumen)*b.precio as monto ";            
    $sql .= "from ";
    $sql .= "mangueras a, ";
    $sql .= "productos b, ";
    $sql .= "estacion c, ";
    $sql .= "bombas d ";
    $sql .= "where ";
    $sql .= "a.id_producto=b.id_producto and ";
    $sql .= "a.id_bomba=d.id_bomba ";
    $sql .= "order by ";
    $sql .= "d.id_isla, ";
    $sql .= "a.id_bomba, ";
    $sql .= "a.id_posicion ";


	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$array[$cont]= $fila;
		$cont++;
	}

	$turno["turno_carburantes"]=json_encode($array, JSON_UNESCAPED_UNICODE);

	$sentencia->close();

		
	$datos = " Termina obtener informacion corte de turno parcial.";	
			insertarLog($datos,$id_aplicacion);
	echo response(0,"",json_encode($turno));


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}
?>